org.apache.poi.xddf.usermodel

## Class XDDFColor

- java.lang.Object
- - org.apache.poi.xddf.usermodel.XDDFColor

- Direct Known Subclasses:
    XDDFColorHsl, XDDFColorPreset, XDDFColorRgbBinary, XDDFColorRgbPercent, XDDFColorSchemeBased, XDDFColorSystemDefined

      @Beta
      public abstract class XDDFColor
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.openxmlformats.schemas.drawingml.x2006.main.CTColor` | `container`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XDDFColor(org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XDDFColor` | `forColorContainer(org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)`
    `static XDDFColor` | `from(byte[] color)`
    `static XDDFColor` | `from(int red, int green, int blue)`
    `static XDDFColor` | `from(PresetColor color)`
    `static XDDFColor` | `from(SchemeColor color)`
    `static XDDFColor` | `from(SystemColor color)`
    `org.openxmlformats.schemas.drawingml.x2006.main.CTColor` | `getColorContainer()`
    `protected abstract org.apache.xmlbeans.XmlObject` | `getXmlObject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### container

          protected org.openxmlformats.schemas.drawingml.x2006.main.CTColor container

  - ### Constructor Detail

    - #### XDDFColor

          @Internal
          protected XDDFColor(org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

  - ### Method Detail

    - #### from

          public static XDDFColor from(byte[] color)

    - #### from

          public static XDDFColor from(int red,
                                       int green,
                                       int blue)

    - #### from

          public static XDDFColor from(PresetColor color)

    - #### from

          public static XDDFColor from(SchemeColor color)

    - #### from

          public static XDDFColor from(SystemColor color)

    - #### forColorContainer

          @Internal
          public static XDDFColor forColorContainer(org.openxmlformats.schemas.drawingml.x2006.main.CTColor container)

    - #### getColorContainer

          @Internal
          public org.openxmlformats.schemas.drawingml.x2006.main.CTColor getColorContainer()

    - #### getXmlObject

          @Internal
          protected abstract org.apache.xmlbeans.XmlObject getXmlObject()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.